# ``twisted`.`web`.`xmlrpc``

module documentation
(source)

A generic resource for publishing objects via XML-RPC.

Maintainer: Itamar Shtull-Trauring

Class | `Handler` | Handle a XML-RPC request and store the state for a request in progress.
Class | `NoSuchFunction` | There is no function by the given name.
Class | `Proxy` | A Proxy for making remote XML-RPC calls.
Class | `QueryFactory` | XML-RPC Client Factory
Class | `QueryProtocol` | No class docstring; 0/1 instance variable, 2/4 methods documented
Class | `XMLRPC` | A resource that implements XML-RPC.
Class | `XMLRPCIntrospection` | Implement the XML-RPC Introspection API.
Function | `addIntrospection` | Add Introspection support to an XMLRPC server.
Function | `withRequest` | Decorator to cause the request to be passed as the first argument to the method.
Constant | `FAILURE` | Undocumented
Constant | `NOT_FOUND` | Undocumented
Variable | `Fault` | See `xmlrpclib.Fault`
Variable | `payloadTemplate` | Undocumented

def addIntrospection(xmlrpc): (source)
Add Introspection support to an XMLRPC server.

Parameters
xmlrpc:`XMLRPC` | the XMLRPC server to add Introspection support to.

def withRequest(f): (source)

Decorator to cause the request to be passed as the first argument to the method.

If an xmlrpc_ method is wrapped with `withRequest`, the request object is passed as the first argument to that method. For example:

        @withRequest
        def xmlrpc_echo(self, request, s):
            return s

Present Since
10.2

FAILURE: `int` = (source)

Undocumented

Value

    8002

NOT_FOUND: `int` = (source)

Undocumented

Value

    8001

Fault: `xmlrpclib.Fault` = (source)
See `xmlrpclib.Fault`
payloadTemplate: `str` = (source)

Undocumented